require "medicapi/version"
require "unirest"

module Medicapi
  class Symptom
    attr_reader :id, :name
    def initialize(input_options)
      @id = input_options["ID"].to_i
      @name = input_options["Name"]
      
    end
    def self.all(token)
      ruby_data = []
      bulk_data = Unirest.get("https://healthservice.priaid.ch/symptoms?token=#{token}&language=en-gb&format=json").body
      bulk_data.each do |symptom|
        ruby_data << Symptom.new(symptom)
      end
      ruby_data
    end
  end
  class Diagnosis
    attr_reader :id, :name, :accuracy, :profname, :ranking
    def initialize(input_options)
      @id = input_options["Issue"]["ID"].to_i
      @name = input_options["Issue"]["Name"]
      @accuracy = input_options["Issue"]["Accuracy"].to_f
      @profname = input_options["Issue"]["ProfName"]
      @ranking = input_options["Issue"]["Ranking"].to_i
      
    end
    def self.all(symptoms,gender,year,token)
      ruby_data = []
      bulk_data = Unirest.get("https://healthservice.priaid.ch/diagnosis?symptoms=#{symptoms}&gender=#{gender}&year_of_birth=#{year}&token=#{token}&language=en-gb&format=json").body
      bulk_data.each do |diagnosis|
        ruby_data << Diagnosis.new(diagnosis)
      end
      ruby_data
    end
  end
end
